import { ElementRef, EventEmitter, OnInit } from "@angular/core";
import { BaseInputDatePickerDirective } from "../base-input-date-picker/base-input-date-picker.directive";
export declare class DoubleCalendarComponent extends BaseInputDatePickerDirective implements OnInit {
    selectedDates: Date[];
    parentForOverlay: ElementRef;
    datesSelected: EventEmitter<Date[]>;
    secondDateSelected: EventEmitter<void>;
    clickedOutside: EventEmitter<void>;
    selectedFirstDate: Date;
    selectedSecondDate: Date;
    secondHoveringDate: Date;
    showClass(): boolean;
    ngOnInit(): void;
    handleFirstDateSelected(date: Date): void;
    handleSecondDateSelected(date: Date): void;
    outputRangeIfValid(): void;
    handleSecondHoveringDate(day: Date): void;
    clearAllDates(): void;
    private _closeIfRangeComplete;
}
